Bug 43559 - xf86-4.1: All iso fonts in same rpm
xf86-4.1: All iso fonts in same rpm
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: XFree86 (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-06-05 11:24 EDT by Sammy
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-06 08:17:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sammy 2001-06-05 11:24:45 EDT
Description of Problem:

Unless this is the default behavior for 4.1, the font
directories contain all the ISO-xx's. I first noticed this
from the very large file sizes for font rpms.

How Reproducible:


Steps to Reproduce:
1. 
2. 
3. 

Actual Results:


Expected Results:


Additional Information:
Comment 1 Mike A. Harris 2001-06-06 08:17:27 EDT
Yep, XFree86's font generation logic has changed now.  All fonts are
generated from ISO10646 (Unicode) masters, and spewed into one big dir.

This is not optimal for binary distribution IMHO, so something definitely
needs to be done about it although I'm not completely sure what is best.

If you have any ideas, I'm open to suggestion.  Currently, my plan is to
determine what ISO8859-xy fonts we plan on supporting, and figure out
the best way of splitting them into subpackages.  This will likely mean fonts
are a bit screwy for a while.
Comment 2 Mike A. Harris 2001-07-12 19:45:02 EDT
Problem solved in -0.8.6 release.

Note You need to log in before you can comment on or make changes to this bug.